Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.msv.reader.trex.classic
Class TREXGrammarReader.StateFactory

    java.lang.Object
      com.sun.msv.reader.trex.TREXBaseReader.StateFactory
          com.sun.msv.reader.trex.classic.TREXGrammarReader.StateFactory

Direct Known Subclasses:
  TypedTREXGrammarInterceptor

Enclosing class:
  TREXGrammarReader

public static class TREXGrammarReader.StateFactory
extends TREXBaseReader.StateFactory

creates various State object, which in turn parses grammar. parsing behavior can be customized by implementing custom StateFactory.

Constructor Summary
`TREXGrammarReader.StateFactory()`

Method Summary
`State` | `anyString(State parent, StartTagInfo tag)`
`State` | `concur(State parent, StartTagInfo tag)`
`State` | `data(State parent, StartTagInfo tag)`
`State` | `define(State parent, StartTagInfo tag)`
`State` | `includePattern(State parent, StartTagInfo tag)`
`State` | `string(State parent, StartTagInfo tag)`

Methods inherited from class com.sun.msv.reader.trex.TREXBaseReader.StateFactory
`attribute, choice, createGrammar, divInGrammar, element, empty, grammar, group, includedGrammar, includeGrammar, interleave, mixed, notAllowed, nsAnyName, nsChoice, nsDifference, nsName, nsNot, nsNsName, oneOrMore, optional, ref, start, zeroOrMore`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TREXGrammarReader.StateFactory

    public TREXGrammarReader.StateFactory()

Method Detail

### concur

    public State concur(State parent,
                        StartTagInfo tag)

### anyString

    public State anyString(State parent,
                           StartTagInfo tag)

### string

    public State string(State parent,
                        StartTagInfo tag)

### data

    public State data(State parent,
                      StartTagInfo tag)

### define

    public State define(State parent,
                        StartTagInfo tag)

  Specified by:
    `define` in class `TREXBaseReader.StateFactory`

### includePattern

    public State includePattern(State parent,
                                StartTagInfo tag)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD